searchNodes=[{"type":"module","title":"EDGAR","doc":"","ref":"EDGAR.html"},{"type":"function","title":"EDGAR.administrative_proceedings_feed/0","doc":"Fetches the administrative proceedings feed","ref":"EDGAR.html#administrative_proceedings_feed/0"},{"type":"function","title":"EDGAR.cik_for_ticker/1","doc":"Fetches a CIK for a given ticker Required ticker - The ticker of the company","ref":"EDGAR.html#cik_for_ticker/1"},{"type":"function","title":"EDGAR.company_concept/3","doc":"Fetches company concepts for a given CIK and concept (taxonomy, tag) Required cik - The CIK of the entity taxonomy - The taxonomy of the concept tag - The tag of the concept","ref":"EDGAR.html#company_concept/3"},{"type":"function","title":"EDGAR.company_facts/1","doc":"Fetches company facts for a given CIK Required cik - The CIK of the entity","ref":"EDGAR.html#company_facts/1"},{"type":"function","title":"EDGAR.company_feed/2","doc":"Fetches the company feed for a given CIK Required cik - The CIK of the entity Optional type - The type of filing to filter by start - The start index of the filings to return count - The number of filings to return","ref":"EDGAR.html#company_feed/2"},{"type":"function","title":"EDGAR.company_tickers/0","doc":"Fetches a list of company tickers","ref":"EDGAR.html#company_tickers/0"},{"type":"function","title":"EDGAR.current_feed/1","doc":"Fetches the current feed for a given CIK Optional CIK - The CIK of the entity type - The type of filing to filter by company - The company to filter by dateb - The date to filter by owner - The owner to filter by start - The start index of the filings to return count - The number of filings to return","ref":"EDGAR.html#current_feed/1"},{"type":"function","title":"EDGAR.daily_index/0","doc":"Fetches the daily index","ref":"EDGAR.html#daily_index/0"},{"type":"function","title":"EDGAR.daily_index/1","doc":"Fetches the daily index for a given year Required year - The year of the daily index","ref":"EDGAR.html#daily_index/1"},{"type":"function","title":"EDGAR.daily_index/2","doc":"Fetches the daily index for a given year and quarter Required year - The year of the daily index quarter - The quarter of the daily index","ref":"EDGAR.html#daily_index/2"},{"type":"function","title":"EDGAR.division_of_corporation_finance_feed/0","doc":"Fetches the division of corporation finance news feed","ref":"EDGAR.html#division_of_corporation_finance_feed/0"},{"type":"function","title":"EDGAR.division_of_investment_management_feed/0","doc":"Fetches the division of investment management news feed","ref":"EDGAR.html#division_of_investment_management_feed/0"},{"type":"function","title":"EDGAR.entity_directory/1","doc":"Fetches the entity directory Required cik - The CIK of the entity","ref":"EDGAR.html#entity_directory/1"},{"type":"function","title":"EDGAR.filing_directory/2","doc":"Fetches the filing directory Required cik - The CIK of the entity accession_number - The accession number of the filing","ref":"EDGAR.html#filing_directory/2"},{"type":"function","title":"EDGAR.filings/2","doc":"Fetches a list of filings from the submissions file Required cik - The CIK of the entity Optional form_type - The form type of the filing offset - The offset of the filings limit - The limit of the filings","ref":"EDGAR.html#filings/2"},{"type":"function","title":"EDGAR.form3_filing/2","doc":"Parses form 3 and 3/A filing types from a given CIK and accession number Based on the XML schema found here: https://www.sec.gov/info/edgar/specifications/ownershipxmltechspec Required cik - The CIK of the entity accession_number - The accession number of the filing","ref":"EDGAR.html#form3_filing/2"},{"type":"function","title":"EDGAR.form3_from_url/1","doc":"Parses form 3 and 3/A ownership filing types from a given url Required url - The url of the form 3 filing","ref":"EDGAR.html#form3_from_url/1"},{"type":"function","title":"EDGAR.form4_filing/2","doc":"Parses form 4 and 4/A filing types from a given CIK and accession number Based on the XML schema found here: https://www.sec.gov/info/edgar/specifications/ownershipxmltechspec Required cik - The CIK of the entity accession_number - The accession number of the filing","ref":"EDGAR.html#form4_filing/2"},{"type":"function","title":"EDGAR.form4_from_url/1","doc":"Parses form 4 and 4/A ownership filing types from a given url Required url - The url of the form 3 filing","ref":"EDGAR.html#form4_from_url/1"},{"type":"function","title":"EDGAR.form5_filing/2","doc":"Parses form 5 and 5/A filing types from a given CIK and accession number Based on the XML schema found here: https://www.sec.gov/info/edgar/specifications/ownershipxmltechspec Required cik - The CIK of the entity accession_number - The accession number of the filing","ref":"EDGAR.html#form5_filing/2"},{"type":"function","title":"EDGAR.form5_from_url/1","doc":"Parses form 5 and 5/A ownership filing types from a given url Required url - The url of the form 3 filing","ref":"EDGAR.html#form5_from_url/1"},{"type":"function","title":"EDGAR.form13f_document_from_url/1","doc":"Parses a form 13F filing from a given url Required url - The url of the form 13F document filing","ref":"EDGAR.html#form13f_document_from_url/1"},{"type":"function","title":"EDGAR.form13f_filing/2","doc":"Parses a form 13F filing for a given CIK and accession number Required cik - The CIK of the entity accession_number - The accession number of the filing","ref":"EDGAR.html#form13f_filing/2"},{"type":"function","title":"EDGAR.form13f_table_from_url/1","doc":"Parses a form 13F filing table from a given url Required url - The url of the form 13F table filing","ref":"EDGAR.html#form13f_table_from_url/1"},{"type":"function","title":"EDGAR.frames/4","doc":"Fetches frames for a given taxonomy, concept, unit, and period Required taxonomy - The taxonomy of the concept tag - The tag of the concept unit - The unit of the concept period - The period of the concept","ref":"EDGAR.html#frames/4"},{"type":"function","title":"EDGAR.full_index/0","doc":"Fetches the full index","ref":"EDGAR.html#full_index/0"},{"type":"function","title":"EDGAR.full_index/1","doc":"Fetches the full index for a given year Required year - The year of the full index","ref":"EDGAR.html#full_index/1"},{"type":"function","title":"EDGAR.full_index/2","doc":"Fetches the full index for a given year and quarter Required year - The year of the full index quarter - The quarter of the full index","ref":"EDGAR.html#full_index/2"},{"type":"function","title":"EDGAR.investor_alerts_feed/0","doc":"Fetches the investor alerts feed","ref":"EDGAR.html#investor_alerts_feed/0"},{"type":"function","title":"EDGAR.litigation_feed/0","doc":"Fetches the litigation feed","ref":"EDGAR.html#litigation_feed/0"},{"type":"function","title":"EDGAR.ownership_filing/2","doc":"Parses form 3, 3/A, 4, 4/A, 5, and 5/A ownership filing types from a given CIK and accession number Based on the XML schema found here: https://www.sec.gov/info/edgar/specifications/ownershipxmltechspec Required cik - The CIK of the entity accession_number - The accession number of the filing","ref":"EDGAR.html#ownership_filing/2"},{"type":"function","title":"EDGAR.ownership_filing_from_url/1","doc":"Parses form 3, 3/A, 4, 4/A, 5, and 5/A ownership filing types from a given url Based on the XML schema found here: https://www.sec.gov/info/edgar/specifications/ownershipxmltechspec Required url - The url of the form 4 filing","ref":"EDGAR.html#ownership_filing_from_url/1"},{"type":"function","title":"EDGAR.parse_company_feed/1","doc":"Parses the company feed Required xml - The RSS feed xml to parse","ref":"EDGAR.html#parse_company_feed/1"},{"type":"function","title":"EDGAR.parse_current_feed/1","doc":"Parses the current feed Required xml - The RSS feed xml to parse","ref":"EDGAR.html#parse_current_feed/1"},{"type":"function","title":"EDGAR.parse_form13f_document/1","doc":"Parses a form 13F filing primary document Required xml - The document xml to parse","ref":"EDGAR.html#parse_form13f_document/1"},{"type":"function","title":"EDGAR.parse_form13f_table/1","doc":"Parses a form 13F filing table Required xml - The table xml to parse","ref":"EDGAR.html#parse_form13f_table/1"},{"type":"function","title":"EDGAR.parse_ownership_form/1","doc":"Parses form 3, 3/A, 4, 4/A, 5, and 5/A filing types. Based on the XML schema found here: https://www.sec.gov/info/edgar/specifications/ownershipxmltechspec Required document - The document xml to parse","ref":"EDGAR.html#parse_ownership_form/1"},{"type":"function","title":"EDGAR.parse_rss_feed/1","doc":"Parses the press release feed Required xml - The RSS feed xml to parse","ref":"EDGAR.html#parse_rss_feed/1"},{"type":"function","title":"EDGAR.parse_xbrl/1","doc":"Parses a XBRL file Required xml - The XBRL xml to parse","ref":"EDGAR.html#parse_xbrl/1"},{"type":"function","title":"EDGAR.press_release_feed/0","doc":"Fetches the press release feed","ref":"EDGAR.html#press_release_feed/0"},{"type":"function","title":"EDGAR.speeches_and_statements_feed/0","doc":"Fetches the speeches and statements feed","ref":"EDGAR.html#speeches_and_statements_feed/0"},{"type":"function","title":"EDGAR.speeches_feed/0","doc":"Fetches the speeches feed","ref":"EDGAR.html#speeches_feed/0"},{"type":"function","title":"EDGAR.start/2","doc":"Callback implementation for Application.start/2 .","ref":"EDGAR.html#start/2"},{"type":"function","title":"EDGAR.statements_feed/0","doc":"Fetches the statements feed","ref":"EDGAR.html#statements_feed/0"},{"type":"function","title":"EDGAR.submissions/1","doc":"Fetches submissions for a given CIK Required cik - The CIK of the entity","ref":"EDGAR.html#submissions/1"},{"type":"function","title":"EDGAR.testimony_feed/0","doc":"Fetches the testimony feed","ref":"EDGAR.html#testimony_feed/0"},{"type":"function","title":"EDGAR.trading_suspensions_feed/0","doc":"Fetches the trading suspensions feed","ref":"EDGAR.html#trading_suspensions_feed/0"},{"type":"function","title":"EDGAR.xbrl_from_url/1","doc":"Parses a xbrl filing from a given url Required url - The url of the xbrl filing","ref":"EDGAR.html#xbrl_from_url/1"},{"type":"type","title":"EDGAR.error_type/0","doc":"","ref":"EDGAR.html#t:error_type/0"},{"type":"type","title":"EDGAR.success_type/1","doc":"","ref":"EDGAR.html#t:success_type/1"},{"type":"module","title":"EDGAR.Native","doc":"","ref":"EDGAR.Native.html"},{"type":"function","title":"EDGAR.Native.parse_company_feed/1","doc":"","ref":"EDGAR.Native.html#parse_company_feed/1"},{"type":"function","title":"EDGAR.Native.parse_current_feed/1","doc":"","ref":"EDGAR.Native.html#parse_current_feed/1"},{"type":"function","title":"EDGAR.Native.parse_form13f_document/1","doc":"","ref":"EDGAR.Native.html#parse_form13f_document/1"},{"type":"function","title":"EDGAR.Native.parse_form13f_table/1","doc":"","ref":"EDGAR.Native.html#parse_form13f_table/1"},{"type":"function","title":"EDGAR.Native.parse_ownership_form/1","doc":"","ref":"EDGAR.Native.html#parse_ownership_form/1"},{"type":"function","title":"EDGAR.Native.parse_rss_feed/1","doc":"","ref":"EDGAR.Native.html#parse_rss_feed/1"},{"type":"function","title":"EDGAR.Native.parse_xbrl/1","doc":"","ref":"EDGAR.Native.html#parse_xbrl/1"}]